Public Member Functions | Public Attributes | List of all members
libebook::EBOOKHTMLParser::State Struct Reference

## Public Member Functions
| State ()

## Public Attributes
stack< ParseContext > | contextStack
BlockState | blockState
EBOOKHTMLMetadata | metadata
XMLStylesheets_t | sheets

## Constructor & Destructor Documentation

## ◆ State()

libebook::EBOOKHTMLParser::State::State | ( |  | ) |

## Member Data Documentation

## ◆ blockState

BlockState libebook::EBOOKHTMLParser::State::blockState

## ◆ contextStack

stack<ParseContext> libebook::EBOOKHTMLParser::State::contextStack

## ◆ metadata

EBOOKHTMLMetadata libebook::EBOOKHTMLParser::State::metadata

## ◆ sheets

XMLStylesheets_t libebook::EBOOKHTMLParser::State::sheets

The documentation for this struct was generated from the following file:

- EBOOKHTMLParser.cpp